<?php

class m120203_101905_tbl_poblaciones extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_poblaciones', array(
                'id' => 'pk',
                'provincia_id' => 'integer NOT NULL',
                'poblacion' => 'string NOT NULL',
            ));
            
            $this->addForeignKey('fk_poblaciones_1', 'tbl_poblaciones', 'provincia_id', 'tbl_provincias', 'id', 'CASCADE', 'CASCADE');            
	}

	public function down()
	{
            $this->dropForeignKey('fk_poblaciones_1', 'tbl_poblaciones');
            $this->dropTable('tbl_poblaciones');
	}
            
	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}